#include <avr/io.h>

#include <avr/interrupt.h>

void timer_init(void)

{

    // set up timer with prescaler = 1024 and CTC mode

    TCCR0 |= (1 << WGM01)|(1 << CS00)|(1 << CS02);

    // set up timer OC0 pin (PB3) in toggle mode

    TCCR0 |= (1 << COM00);

    // initialize counter

    TCNT0 = 0;

    // initialize compare value

    OCR0 = 220;

}

int main(void)

{

    // connect led to pin PB3

    DDRB |= (1 << 3);

    // initialize timer

    timer_init();

    // loop forever

    while(1)

    {

        // do nothing

        // whenever a match occurs

        // OC1A is toggled automatically!

        // no need to keep track of any flag bits or ISR

          }

}
